DatasetRw
Tag a snapshot in this Dataset
Tag a snapshot in this Dataset with the given tagName. Requires Update access to the dataset
POST
/
api
/
datasetrw
/
v1
/
datasets
/
{datasetId}
/
tags
Tag a snapshot in this Dataset
curl --request POST \
--url https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/tags \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"snapshotId": "62313ce67a0af0281c01a6a5",
"tagName": "MyTag"
}
'import requests
url = "https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/tags"
payload = {
"snapshotId": "62313ce67a0af0281c01a6a5",
"tagName": "MyTag"
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({snapshotId: '62313ce67a0af0281c01a6a5', tagName: 'MyTag'})
};
fetch('https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataset": {
"createdAt": "2022-03-12T02:13:44.467Z",
"id": "62313ce67a0af0281c01a6a5",
"name": "My Dataset",
"snapshotIds": [
"<string>"
],
"tags": {
"bar": "62313ce67a0af0281c01a6a5",
"foo": "62313ce67a0af0281c01a6a5"
},
"description": "<string>",
"projectId": "62313ce67a0af0281c01a6a5"
},
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Dataset ID
Body
application/json
Tag name and snapshot ID to apply it to
Last modified on August 18, 2026
Related topics
Use Datasets and snapshotsVersion data with SnapshotsRemove a tag from a DatasetConfigure Billing Tags, Budgets, and AlertsWas this page helpful?
⌘I
Tag a snapshot in this Dataset
